---
title: "polar"
excerpt: "Convert polar/sphere (azimuth, elevation, distance) coordinates to"
layout: manual
---

Convert polar/sphere (azimuth, elevation, distance) coordinates to

cartesian (x/y/z grid) coordinates.

```js
polar(data: PolarCoordsData) -> [number]
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `data` | [`PolarCoordsData`](/docs/kcl/types/PolarCoordsData) | Data for polar coordinates. | Yes |

### Returns

`[number]` 


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = polar({ angle = 30, length = 5 }), tag = $thing)
  |> line(end = [0, 5])
  |> line(end = [segEndX(thing), 0])
  |> line(end = [-20, 10])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of polar 0](data:image/png;base64,[encoded data, 80544 characters])


